<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Todo List Detail</title>
</head>
<body>
  <main>
    <div>
      <h1>{{ todo.name }}</h1>
      <br>
      <a href="{% url 'todo_list_update' todo.id %}">Edit</a>
      <br>
      <a href="{% url 'todo_list_delete' todo.id %}">Delete</a>
      <br>
      <h2>Tasks</h2>
      <table>
        <thead>
          <th>Task</th>
          <th>Due date</th>
        </thead>
        <tbody>
          {% for task in todo.items.all %}
          <tr>
            <td><a href="{% url 'todo_item_update' task.id %}">{{ task.task }}</a></td>
            <td>{{ task.due_date|date:'F d, Y'}}</td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
  </main>
</body>
</html>
